gtkpod (2.1.5-1) unstable; urgency=medium

  * New upstream stable release
    - debian/copyright: ltmain.sh license entry dropped
  * debian/control:
    - GStreamer bump 0.10 => 1.0 (Closes: #785824)
    - dh-python b-dep added
  * debian/gbp.conf: [git-dch] => [dch]

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 09 Jun 2015 22:14:49 +0200

gtkpod (2.1.4-5) unstable; urgency=medium

  * debian/: fix upgrade issues from former versions (Closes: #774891)
  * debian/copyright: minor typos fixed
  * debian/control: S-V bump 3.9.5 => 3.9.6 (no changes needed)
  * debian/control: Uploader e-mail address updated

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 15 Jan 2015 08:41:20 +0100

gtkpod (2.1.4-4) unstable; urgency=medium

  * debian/control: autotools-dev b-dep dropped

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Thu, 31 Jul 2014 15:52:10 +0200

gtkpod (2.1.4-3) unstable; urgency=medium

  * debian/libatomicparsley0.symbols: new symbols added.
    Thanks to Sphinx Jiang for the patch. (Closes: #754768)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Mon, 14 Jul 2014 15:46:15 +0200

gtkpod (2.1.4-2) unstable; urgency=medium

  * debian/: support for ppc64el and arm64 arches.
    Thanks to Iain Lane (laney) for the patch. (Closes: #742879)
  * debian/control: S-V bump 3.9.4 => 3.9.5 (no changes needed)
  * debian/control: Uploader e-mail address updated

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Mon, 31 Mar 2014 08:17:50 +0200

gtkpod (2.1.4-1) unstable; urgency=low

  * New upstream stable release
    - debian/patches/: patchset refreshed
      - 0002-Usage_of_anjuta-3.8.patch dropped (applied upstream)
      - 0003-Usage_of_gdl-3.6.patch dropped (applied upstream)
    - debian/libgtkpod1.symbols: symbols updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 09 Sep 2013 11:15:29 +0200

gtkpod (2.1.3-5) unstable; urgency=low

  * debian/control: unversioned b-deps for anjuta and libgpod
  * debian/source/local-options: file removed
  * debian/patches/: patchset updated (Closes: #718532)
    - 0001-Fix_mab2vcard_issue.patch refreshed
    - 0002-Usage_of_anjuta-3.8.patch added
    - 0003-Usage_of_gdl-3.6.patch added
    Thanks to Michael Biebl (biebl) for the hint.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 02 Aug 2013 11:19:09 +0200

gtkpod (2.1.3-4) unstable; urgency=low

  * Upload to unstable
    - debian/control: libclutter-gtk-1.0-dev b-dep version
      dropped to allow build process against unstable suite
  * debian/control: lame added to Suggests (Closes: #707999)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 20 May 2013 17:43:30 +0200

gtkpod (2.1.3-3) experimental; urgency=low

  * debian/libatomicparsley0.symbols: fix FTBFS on alpha and ppc64
    (Closes: #704736)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 05 Apr 2013 15:08:55 +0200

gtkpod (2.1.3-2) experimental; urgency=low

  * debian/control: bump b-dep version for libclutter-gtk (Closes: #704615)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Thu, 04 Apr 2013 09:32:43 +0200

gtkpod (2.1.3-1) experimental; urgency=low

  [ Chow Loong Jin ]
  * Use uversionmangle in uscan instead.
    When using dversionmangle to mangle the "~beta"
    back to "-beta" in the version  string,
    uscan considers x.y.z-betaN to be a newer version
    than x.y.z. This change fixes that.

  [ Matteo F. Vescovi ]
  * New upstream release (Closes: #689378, #689380, #696379)
  * debian/control: DMUA flag dropped
  * debian/control: libclutter-gtk-1.0-dev b-dep added
  * debian/control: S-V 3.9.3 => 3.9.4 (no changes needed)
  * debian/watch: source path updated.
    Thanks to Bart Martens (bartm) for the hint.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 14 Jan 2013 12:33:47 +0100

gtkpod (2.1.2-1) unstable; urgency=low

  [ Matteo F. Vescovi ]
  * New upstream stable release
    + debian/patches/: #0002 dropped (applied upstream)

  [ Chow Loong Jin ]
  * debian/control: Add DM-Upload-Allowed: yes

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 20 Jun 2012 19:43:55 +0800

gtkpod (2.1.2~beta2-3) unstable; urgency=low

  * debian/libatomicparsley0.symbols: updated for
    ia64 and s390x architectures

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 12 Jun 2012 16:47:01 +0200

gtkpod (2.1.2~beta2-2) unstable; urgency=low

  * debian/libatomicparsley0.symbols: symbols updated (Closes: #676929)
  * debian/control: pkg-kde-tools added to b-deps
  * debian/patches/: #0002 added to fix FTBFS on kBSD64 (Closes: #676931)
  * debian/watch: uscan opts updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 12 Jun 2012 09:18:54 +0200

gtkpod (2.1.2~beta2-1) unstable; urgency=low

  * New upstream beta release (Closes: #665870, #671372)
    + debian/libgtkpod1.symbols: symbols updated
    + debian/libatomicparsley0.symbols: symbols file added
  * debian/: 8 => 9 dh bump
  * debian/: libatomicparsley package added (Closes: #659361)
  * debian/: Multi-Arch support added
  * debian/copyright: entry about atomicparsley added
  * debian/control: Standards-Version bumped to 3.9.3

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Sat, 02 Jun 2012 12:16:08 +0200

gtkpod (2.1.1-1) unstable; urgency=low

  * New upstream release
    + fixes a re-building FTBFS bug report (Closes: #652155)
    + fixes a bug where gtkpod was unable to add directory
      in a specified order (Closes: #547295)
    + fixes an out-of-date bug about single track gain (Closes: #506665)
    + fixes a bug report about not obvious way to delete
      a playlist without selecting from two menus (Closes: #378801)
  * Add patch 0001-Patch-to-close-a-bug-about-mab2vcard (Closes: #375476)
  * debian/control: added libwebkitgtk-3.0-dev to b-deps
  * debian/control: added libfaad-dev to b-deps
  * debian/control: added faad to b-deps
  * debian/control: python -> python-dev b-deps
  * debian/control: VCS-links corrected
  * debian/control: dh_python2 full compliance
  * debian/control: maintainer's email address changed
  * debian/rules: "--with python2" parameter added
  * debian/rules: "--parallel" parameter added
  * debian/copyright: DEP-5 link and Comment fields updated
  * debian/copyright: DEP-5 URI updated
  * debian/copyright: non DEP-5 stuff removed
  * debian/copyright: missing GFDL license paragraph added
  * debian/gtkpod-data.docs: TODOandBUGS.txt file removed
  * debian/libgtkpod1.symbols: symbols dropping.
    Thanks to Michael Biebl (biebl) for the libs packaging lesson

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 11 Jan 2012 11:05:16 +0100

gtkpod (2.1.0-1) unstable; urgency=low

  * New upstream stable release 

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Sun, 07 Aug 2011 12:06:54 +0200

gtkpod (2.1.0~git20110604.c707594-3) unstable; urgency=low

  * Upload to unstable (GTK3 dependencies switch completed) 

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Thu, 21 Jul 2011 14:29:44 +0200

gtkpod (2.1.0~git20110604.c707594-2) experimental; urgency=low

  * Fixes a silly oversight that made gtkpod not starting
    due to the lack of a schema file (Closes: #633770)
  * Added a symbolic link to /usr/share/common-licenses/GPL-2
    for the COPYING file to get rid of a warning on the
    application closing in terminal

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Thu, 14 Jul 2011 19:18:40 +0200

gtkpod (2.1.0~git20110604.c707594-1) experimental; urgency=low

  * New upstream release (still under development)
    + switch to GTK3, Anjuta3 and GDL3 (Closes: #631293)

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Fri, 24 Jun 2011 09:00:00 +0200

gtkpod (2.0.2-1) unstable; urgency=low

  * New upstream release
    + drop former patch 01_fix-gtkpod-ldflags, applied upstream
    + drop former patch 02_fix-gtkpod-documentation, applied upstream
    + drop the use of dh-autoreconf, rpath issue solved upstream
  * Adding gtkpod-dbg (debugging symbols) package

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Wed, 15 Jun 2011 11:00:00 +0200

gtkpod (2.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #578714)
    + switch to debhelper (>= 8)
    + bump libgpod-dev build-dependency to >= 0.8
    + split of libgtkpod shared library from gtkpod package
    + split of libgtkpod-dev devel library from gtkpod package
    + drop former patch 01_mountpoint, applied upstream
    + drop former patch 10_fix_translations, applied upstream
    + add patch 01_fix-gtkpod-ldflags to correct the wrong setting
      for LDFLAGS in configure and configure.ac files
      (resolved in current upstream)
    + add patch 02_fix-gtkpod-documentation to correct inconsistency
      in documentation about mount point (/mnt -> /media)
      (resolved in current upstream)
    + removal of hal and gnomevfs libraries support (Closes: #613168)
    + use of dh-autoreconf to get rid of RPATH issue
      (resolved in upstream)
  * New maintainer release (Closes: #621910)
  * Bump Standards-Version to 3.9.2

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Mon, 23 May 2011 13:00:00 +0200

gtkpod (0.99.14-3) unstable; urgency=low

  * Remove Nico Golde from Uploaders on his request.
  * Bump Standards-Version to 3.8.3 (no changes)

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 26 Oct 2009 22:34:53 +0100

gtkpod (0.99.14-2) unstable; urgency=low

  * Upload to unstable.

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 09 Mar 2009 23:53:41 +0100

gtkpod (0.99.14-1) experimental; urgency=low

  * New upstream release
    + drop patch 10_usage--auto, applied upstream
    + drop patch 20_scripts_bashisms, applied upstream
    + bump libgpod-dev build-dependency to >= 0.7.0
    + drop debian/gtkpod.desktop and use upstream's
      version
    + do not generate manpage from debian/gtkpod.pod and
      use upstream's version. Since debian/gtkpod.pod is
      the original source and upstream only includes the
      generated groff file, I leave the POD file in the
      source.
  * Reorganise packaging. Move arch-indep data to
    gtkpod-data package and rewrite debian/rules to
    use dh.
  * Fix watch file to use SF.net redirector implicetly
  * Bump Standards-Version to 3.8.0
    + Add debian README.source about dpatch
  * Add new patch 10_fix_translations for a broken string
    in the German translation

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 26 Feb 2009 18:13:27 +0100

gtkpod (0.99.12-3) unstable; urgency=low

  * Add 20_scripts_bashisms. This fixes bashisms in
    the helper scripts or at least makes them explicetly
    bash scripts. Reported by Raphael Geissert. (Closes: #489605)
  * Remove the obsolete Suggest on recode, all scripts use
    iconv nowadays.
  * Add some new Recommends/Suggests for the convert-* scripts.
    Addresses at least part of LP #193722
  * Update copyright file.

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 10 Jul 2008 23:45:04 +0200

gtkpod (0.99.12-2) unstable; urgency=low

  * Call dh_icons. Suggested by Sikon (Closes: #466126)
  * Bump debhelper compat level to 6 and adapt
    build-dependencies.
  * Add 10_usage--auto.dpatch. -a/--auto was removed, so
    don't advertise it in the usage output. Also adapt
    the man page. (Closes: #466127)

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 17 Apr 2008 20:25:51 +0200

gtkpod (0.99.12-1) unstable; urgency=low

  * New upstream release.
  * Adjust build-dependency on libgpod, >= 0.6.0 is now needed.
  * Bumped Standards version, no changes needed.
  * Updating 01_mountpoint.dpatch cause it did no longer apply.
  * Remove 03_itdb-set-local-to-imported.dpatch, included upstream.
  * Remove 02_missing_fclose.dpatch, not needed anymore. Upstream source code
    changed and the function does not have a local FILE stream that needs to be
    closed anymore.

 -- Nico Golde <nion@debian.org>  Sun, 13 Jan 2008 17:24:33 +0100

gtkpod (0.99.10-5) unstable; urgency=low

  * Add changing mountpoint as well in prefs.c
    to 01_mountpoint (Closes: #452056).
  * Removed NEWS file as its last entry was before sarge.

 -- Nico Golde <nion@debian.org>  Tue, 20 Nov 2007 14:22:12 +0100

gtkpod (0.99.10-4) unstable; urgency=low

  * Switched from Xs-Vcs to Vcs control field, dpkg supports them now.
  * Switched from old Homepage tag to the new Homepage control field.
  * New dependency on dpatch as we don't want to modify the source
    directly any longer.
  * Added previously modified source code as dpatch patches:
    01_mountpoint, 02_missing_fclose
  * Included 03_itdb-set-local-to-imported.dpatch to fix inability to import
    into local repos (Closes: #451749).

 -- Nico Golde <nion@debian.org>  Tue, 13 Nov 2007 16:18:58 +0100

gtkpod (0.99.10-3) unstable; urgency=low

  * Added missing fclose() call in mp3file.c to prevent too many open
    file descriptors (Closes: #441308).
  * Adapted .desktop file to current freedesktop standards.

 -- Nico Golde <nion@debian.org>  Sun, 09 Sep 2007 20:13:31 +0200

gtkpod (0.99.10-2) unstable; urgency=low

  * Upload to unstable
  * Update menu entry according to new menu policy
  * Lintian: Don't ignore all errors from "make distclean"

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 10 Jul 2007 00:25:04 +0200

gtkpod (0.99.10-1) experimental; urgency=low

  * New upstream release
    - Allows resizing the preferences dialog (Closes: #428011)
  * Update man page debian/gtkpod.pod

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 28 Jun 2007 02:12:56 +0200

gtkpod (0.99.8-3) unstable; urgency=low

  [ Frank Lichtenheld ]
  * Upload to unstable (Closes: #391812)
  * Change Maintainer to pkg-gtkpod-devel list. Add myself
    and Nico as Uploaders
  * Add Vcs-{Svn,Browser} fields

  [ Nico Golde ]
  * Added Homepage tag to control.
  * Bumped compat level since debhelper >= 5 is in etch.

 -- Nico Golde <nion@debian.org>  Mon, 07 May 2007 17:40:39 +0200

gtkpod (0.99.8-2) experimental; urgency=low

  * Adapt for libgpod >= 0.4.2 (Patch by upstream).

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 10 Feb 2007 14:22:53 +0100

gtkpod (0.99.8-1) experimental; urgency=low

  * New upstream release
    + Update libgpod-dev build-dependency to (>= 0.4.0)
      and remove conflict against libgpod0
      (upload to experimental because this version isn't
       available in unstable yet)
    + Change /mnt/ipod to /media/ipod as usual in new scripts
  * Bump Standards-Version to 3.7.2 (no changes).
  * Remove glade file symlinks on clean. Found by Martin Zobel-Helas.
    (Closes: #395120)

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 22 Dec 2006 18:38:05 +0100

gtkpod (0.99.4-2) unstable; urgency=low

  * Add conflict against libgpod0 >= 0.4.0
    to quiten up the BTS a bit.
  * Bump Standards-Version to 3.7.2 (no changes).
  * Remove glade file symlinks on clean. Found by Martin Zobel-Helas.
    (Closes: #395120)

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 30 Nov 2006 23:12:32 +0100

gtkpod (0.99.4-1) unstable; urgency=low

  * New upstream release

 -- Frank Lichtenheld <djpig@debian.org>  Sat,  8 Apr 2006 21:45:22 +0200

gtkpod (0.99.2-1) unstable; urgency=low

  * New upstream release (Closes: #343856)
    + Fixes sorting bug (Closes: #330082)
  * Add build-depends on libgpod-dev
  * Add build-depends on flex
  * Add suggests on python since one of the scripts uses it
  * Update FSF address in debian/copyright

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 29 Dec 2005 17:38:38 +0100

gtkpod (0.94.0-1) unstable; urgency=low

  * New upstream release (Closes: #319408)
    - support for new iTunes and new firmware version
      (Closes: #317701)
  * Add watch file, by  Filippo Giunchedi (Closes: #318760)

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 22 Jul 2005 13:23:13 +0200

gtkpod (0.93.1-1) unstable; urgency=low

  * New upstream release (Closes: #316399)
    - New build-dependency libglade2-dev
  * Bump Standards-Version to 3.6.2, no changes needed
  * Don't create glade files as absolute links as that fails miserably
    in a packaging situation

 -- Frank Lichtenheld <djpig@debian.org>  Fri,  1 Jul 2005 02:24:13 +0200

gtkpod (0.88.2-1) unstable; urgency=low

  * New upstream release
    - Fixes typo in preferences dialog reported by Michael Shields
      (Closes: #289087)
    - Included additional sync script previously offered for
      download separatly (Closes: #302361)
  * Include typo fixes for the German translation by Jens Seidel
    (Closes: #314053)
  * Add build dependency on gettext even though many other build
    dependecies already get it for us. We shouldn't rely on that
  * Fix syntax error in sync-notes.sh and change paths from
    /mnt/ipod to /media/ipod as usual
  * Add Suggests on recode as it is used in the scripts
  * Replace the outdated, buggy, and GFDL licensed man page written in
    docbook by the former Debian maintainer with an updated, more
    extensive, GPL licensed version written in POD by me. Replace
    build-depends on docbook-to-man by build-depends on perl.
  * Rework copyright file to be more precise about which file is
    copyrighted by whom
  * Fix path to scripts in preferences window
  * Replace ScsiEject code in src/misc.c with my new version from the
    eject package which uses the newer SG ioctl interface. Add new
    header check for scsi/sg.h to configure.in and regenerate configure
    and config.h.in.
  
 -- Frank Lichtenheld <djpig@debian.org>  Thu, 16 Jun 2005 18:28:41 +0200

gtkpod (0.88.1-1) unstable; urgency=low

  * New upstream release
    - fixes the iPod Shuffle support (Closes: #299768)
      Thanks to Jörg Kurlbaum for pointing this out 

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 18 Mar 2005 13:15:17 +0100

gtkpod (0.88-1) unstable; urgency=low

  * New upstream version (Closes: #299053)
  * Fix FTBFS with gcc-4.0; patch by Andreas Jochens
    (Closes: #298273)

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 11 Mar 2005 18:50:52 +0100

gtkpod (0.87.3-1) unstable; urgency=low

  * New upstream version

 -- Frank Lichtenheld <djpig@debian.org>  Fri,  4 Mar 2005 14:35:13 -0800

gtkpod (0.85.0-1) unstable; urgency=low

  * New maintainer (Closes: #287988)
    Acknowledge my own NMU (Closes: #264682, #268340, #230898, #275363)
  * Apply patch by Andreas Jochens to let gtkpod compile
    with gcc-4.0 (Closes: #286926)

 -- Frank Lichtenheld <djpig@debian.org>  Fri,  7 Jan 2005 01:01:58 +0100

gtkpod (0.85.0-0.1) unstable; urgency=low

  * NMU since maintainer is unresponsive to any contact
    attempts for a log time now.
  * New upstream release (Closes: #264682)
  * debian/control:
    + Shorten short description (Closes: #268340)
    + Suggest mp3gain (Closes: #230898)
    + Adjust debhelper build-dependency so that we can use dh_desktop
  * debian/rules: Tidy up.
  * debian/docs: Don't install empty NEWS file
  * debian/menu:
    + Quote values
    + Use xpm icon created from the 32x32 icon
  * debian/gtkpod.sgml: fix some <arg> vs. <option> mistakes
  * debian/gtkpod.desktop: add .desktop file
  * Change all occourences of /mnt/ipod to /media/ipod (Closes: #275363)
    add a NEWS.Debian file to document this.
  * Fix UTF-8 characters in several files
  * Don't issue warning about not beeing able to "unsort" a table.
    It's quite annyoing and the user has no possibility to fix it.

 -- Frank Lichtenheld <djpig@debian.org>  Thu,  9 Dec 2004 18:17:17 +0100

gtkpod (0.72-2-2) unstable; urgency=low

  * Fix build dependencies (libid3tag0-dev).
  * Change priority to extra.

 -- Quôc Peyrot <chojin@debian.org>  Sat,  7 Feb 2004 05:14:03 +0000

gtkpod (0.72-2-1) unstable; urgency=low

  * New upstream release. Closes: #216155.
  * Update policy revision to 3.6.1 (use UTF-8).
  * Change the debian maintainer email to chojin@debian.org.

 -- Quôc Peyrot <chojin@debian.org>  Tue,  3 Feb 2004 07:15:04 +0000

gtkpod (0.51-1) unstable; urgency=low

  * New upstream release

 -- Quôc Peyrot <chojin@debian.org>  Sat, 17 May 2003 04:15:02 +0000

gtkpod (0.50-1) unstable; urgency=low

  * Initial Release. Closes: #182289.

 -- Quôc Peyrot <chojin@debian.org>  Tue, 22 Apr 2003 05:16:37 +0000
